Show / Hide Table of Contents

# AsyncWillRenderObjectTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncWillRenderObjectTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncWillRenderObjectTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnWillRenderObjectAsyncHandler() |
GetOnWillRenderObjectAsyncHandler(CancellationToken) |
OnWillRenderObjectAsync() |
OnWillRenderObjectAsync(CancellationToken) |

### Methods

#### GetOnWillRenderObjectAsyncHandler()

    public IAsyncOnWillRenderObjectHandler GetOnWillRenderObjectAsyncHandler()

##### Returns

IAsyncOnWillRenderObjectHandler

#### GetOnWillRenderObjectAsyncHandler(CancellationToken)

    public IAsyncOnWillRenderObjectHandler GetOnWillRenderObjectAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnWillRenderObjectHandler

#### OnWillRenderObjectAsync()

    public UniTask OnWillRenderObjectAsync()

##### Returns

UniTask

#### OnWillRenderObjectAsync(CancellationToken)

    public UniTask OnWillRenderObjectAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>